Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.digest
Class DigestRequest

    java.lang.Object
      org.jboss.seam.security.digest.DigestRequest

    public class DigestRequest

extends Object

Field Summary
`static String` | `DIGEST_REQUEST`

Constructor Summary
`DigestRequest()`

Method Summary
`String` | `getClientDigest()`
`String` | `getClientNonce()`
`String` | `getHttpMethod()`
`String` | `getKey()`
`String` | `getNonce()`
`String` | `getNonceCount()`
`String` | `getPassword()`
`String` | `getQop()`
`String` | `getRealm()`
`String` | `getSystemRealm()`
`String` | `getUri()`
`boolean` | `isPasswordAlreadyEncoded()`
`void` | `setClientDigest(String clientDigest)`
`void` | `setClientNonce(String clientNonce)`
`void` | `setHttpMethod(String httpMethod)`
`void` | `setKey(String key)`
`void` | `setNonce(String nonce)`
`void` | `setNonceCount(String nonceCount)`
`void` | `setPassword(String password)`
`void` | `setPasswordAlreadyEncoded(boolean passwordAlreadyEncoded)`
`void` | `setQop(String qop)`
`void` | `setRealm(String realm)`
`void` | `setSystemRealm(String systemRealm)`
`void` | `setUri(String uri)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIGEST_REQUEST

    public static final String DIGEST_REQUEST

See Also:
  Constant Field Values

Constructor Detail

### DigestRequest

    public DigestRequest()

Method Detail

### getClientNonce

    public String getClientNonce()

### setClientNonce

    public void setClientNonce(String clientNonce)

### getNonce

    public String getNonce()

### setNonce

    public void setNonce(String nonce)

### getNonceCount

    public String getNonceCount()

### setNonceCount

    public void setNonceCount(String nonceCount)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### isPasswordAlreadyEncoded

    public boolean isPasswordAlreadyEncoded()

### setPasswordAlreadyEncoded

    public void setPasswordAlreadyEncoded(boolean passwordAlreadyEncoded)

### getQop

    public String getQop()

### setQop

    public void setQop(String qop)

### getRealm

    public String getRealm()

### getSystemRealm

    public String getSystemRealm()

### setSystemRealm

    public void setSystemRealm(String systemRealm)

### setRealm

    public void setRealm(String realm)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getUri

    public String getUri()

### setUri

    public void setUri(String uri)

### getHttpMethod

    public String getHttpMethod()

### setHttpMethod

    public void setHttpMethod(String httpMethod)

### getClientDigest

    public String getClientDigest()

### setClientDigest

    public void setClientDigest(String clientDigest)

### validate

    public void validate()
                  throws DigestValidationException

  Throws:
    `DigestValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD